import { HttpResponse } from '../@types'
import request from './request'
import requestJava from './requestJava'

class passbookService {
  // 获取幸福存折详情
  static async GetCustomerBigRedEnvelope(CustomerId:Number):Promise<HttpResponse>{
    return request('customer_post_GetCustomerBigRedEnvelope',{CustomerId})
  }
  // 获取明细
  static async getDepositBankbookDetail(CustomerId:Number):Promise<HttpResponse>{
    return requestJava('/api/b2b/user/getDepositBankbookDetail',{CustomerId})
  }
  // 获取使用明细
  static async getBankbookUseDetail(queryTime:string):Promise<HttpResponse>{
    return requestJava('/api/b2b/user/getBankbookUseDetail',{queryTime})
  }
  // 获取占比
  static async getLinePercentage():Promise<HttpResponse>{
    return requestJava('/api/b2b/user/getLinePercentage',{})
  }
}

export default passbookService
